Kan Rails ver 1.2 og 2.0 leve ved siden av hverandre

Kan Rails ver 1.2 og 2.0 leve ved siden av hverandre

Innleggav ZiPLe » søn 06.01.2008 0:10

Hei,
Som sikkert mange har fått med seg har rails nå kommet i versjon 2.0.

På maskinen min nå har jeg versjon 1.2.6 installert (det som fulgte med Leopard). Det jeg lurer på er om versjon 1.2.6 og 2.0 kan leve ved siden av hverandre (kan begge være installert samtidig)?

Grunnen til at jeg ønsker å beholde 1.2.6 er at jeg har kjøpt meg et par Rails bøker som tar utgangspunkt i denne versjonen. Og som nybegynner er det greit å slippe å måtte tilpasse eksempel-kode til ny versjon.

Men samtidig er jeg interessert i å prøve versjon 2.0 for å bli litt kjent med denne og.

Takker for svar! :)

edit:
Lette videre på nettet jeg, og svaret er ja, de kan eksistere ved siden av hverandre.

Til hjelp for andre så er det to ting som er viktig å huske på:
1. Når du oppretter et nytt prosjekt brukes kommandoen:
Kode: Merk alt
rails _1.2.6_ my-rails-proj


2. I filen environment.rb skal følgende stå:
Kode: Merk alt
RAILS_GEM_VERSION = '1.2.6' unless defined? RAILS_GEM_VERSION

(dette kommer som standard om du bruker kommandoen nevnt i punkt 1).

I tillegg kan det være nyttig å kjenne til freeze (men som nybegynner er dette kun noe jeg har lest, og ikke erfart selv :))

Moderator
Brukerens avatar
medlem i 180 måneder
 

Returner til Ruby



Hvem er i Forumene

Registrerte brukere: Google [Bot]